ARG BASE_REGISTRY=harbor-in-k3s.cheverjohn.me/library
FROM ${BASE_REGISTRY}/node:20-alpine AS builder
WORKDIR /app
COPY package.json package-lock.json .npmrc ./
ENV NODE_ENV=development
RUN npm ci --legacy-peer-deps
COPY . .
ENV NODE_ENV=production
RUN npx webpack --mode production

FROM ${BASE_REGISTRY}/nginx:1.27-alpine
COPY --from=builder /app/dist /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf
EXPOSE 3015
CMD ["nginx", "-g", "daemon off;"]
